package be.iminds.ilabt.jfed;

import be.iminds.ilabt.jfed.fedmon.webapi.client.FedmonWebApiCachedClient;
import be.iminds.ilabt.jfed.fedmon.webapi.client.FedmonWebApiClient;
import be.iminds.ilabt.jfed.fedmon.webapi.client.FedmonWebApiClientConfig;
import be.iminds.ilabt.jfed.fedmon.webapi.client.FedmonWebApiClientPropertiesConfig;
import be.iminds.ilabt.jfed.lowlevel.GeniUserProvider;
import be.iminds.ilabt.jfed.preferences.CorePreferenceKey;
import be.iminds.ilabt.jfed.preferences.JFedPreferences;
import be.iminds.ilabt.jfed.util.JFedTrustStore;
import com.google.inject.AbstractModule;
import com.google.inject.Provides;
import com.google.inject.name.Named;

import javax.inject.Singleton;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Properties;

/**
 * JFedWebApiClientTestModule
 */
public class JFedWebApiClientTestModule extends AbstractModule {
    protected void configure() {
        //TODO not sure yet if we need something different for testing.
        // But if so, just change this module
        install(new JFedWebApiClientModule());
    }
}
